Bug 817618 - Please put back the default profile
Please put back the default profile
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: Build Process (Show other bugs)
BRMS 5.3.0.GA
All Unspecified
urgent Severity urgent
: ER7
: BRMS 5.3.0.GA
Assigned To: Julian Coleman
Lukáš Petrovický
:
Depends On:
Blocks: 815269
  Show dependency treegraph
 
Reported: 2012-04-30 12:24 EDT by Prakash Aradhya
Modified: 2012-05-14 08:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prakash Aradhya 2012-04-30 12:24:14 EDT
Description of problem:
BRMS ER6 was produced with production profile only.  That is causing lot of challenges for peple using it for development only. 
Until ER5 the build used to carry all of the profiles.  For ER6 all were stripped down to production profile only.  
Since production profile default clustered etc.. it is painful to use in development environment.

Please add default profile in addition to the production profile.

Version-Release number of selected component (if applicable):
ER6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Anne-Louise Tangring 2012-05-01 10:05:42 EDT
Approved by PM team.
Comment 3 Ryan Zhang 2012-05-02 04:35:46 EDT
Yep, This do make more sense to me.
I would add back default profile for next release.
Comment 4 Julian Coleman 2012-05-02 09:53:34 EDT
Resolved with revision 10985 of:
  src/main/assembly/brms-standalone.zip.xml
  src/main/patches/eap/add_brms_authenticate.xml
  src/main/patches/eap/patch_admin_console_ui.xml
  src/main/patches/eap/patch_jbossws_console_ui.xml
  src/main/patches/eap/patch_root_console.xml
  src/main/patches/eap/patch_run_bat.xml
  src/main/patches/eap/patch_run_sh.xml (deleted)
  src/main/patches/eap/patch_ws_console_war.xml
  src/main/patches/eap/remove_juddi_scout.xml

Commit message:

  BZ 817618
  Restore "default" profile for BRMS-P standalone.
Comment 5 Ryan Zhang 2012-05-14 04:16:32 EDT
The fixed for this issue should be included in ER7. Please do verification on it.
Comment 6 Lukáš Petrovický 2012-05-14 08:15:00 EDT
"default" profile is back and starts by default. VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.